
function [Qc, Qa, Qb]=AD(D,lambda,n,np)

x=pi*D/lambda;
ro=2*x*(n-1);
beta=atan(np./(n-1));
rp=4*x*np;

Qc=2-4*exp(-ro.*tan(beta)).*(cos(beta).*sin(ro-beta)./ro+(cos(beta)./ro).^2.*cos(ro-2*beta))+4*(cos(beta)./ro).^2.*cos(2*beta);

Qa=1+2*exp(-rp)./rp+2*(exp(-rp)-1)./rp.^2

Qb=Qc-Qa;